Delete Data Sources
curl --request DELETE \
--url https://api.gurubase.io/api/v1/{guru_slug}/data-sources/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"ids": [
123
]
}
'import requests
url = "https://api.gurubase.io/api/v1/{guru_slug}/data-sources/"
payload = { "ids": [123] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: [123]})
};
fetch('https://api.gurubase.io/api/v1/{guru_slug}/data-sources/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Data sources deleted successfully"
}
{
"msg": "Invalid request parameters"
}
{
"msg": "Invalid API key"
}
{
"msg": "Request was throttled. Expected available in 56 seconds."
}
Endpoints
Delete Data Sources
Delete one or more data sources
DELETE
/
{guru_slug}
/
data-sources
/
Delete Data Sources
Delete one or more data sources from your Guru.
Path Parameters
string
required
The slug of the Guru to delete data sources from
Headers
string
required
Your API key for authentication. You can obtain your API key from the Gurubase dashboard.
Body Parameters
number[]
required
Array of data source IDs to delete (e.g., [3268, 3273])
Response
string
Status message for the operation
{
"msg": "Data sources deleted successfully"
}
{
"msg": "Invalid request parameters"
}
{
"msg": "Invalid API key"
}
{
"msg": "Request was throttled. Expected available in 56 seconds."
}
Was this page helpful?
⌘I